Posts that dickyfit is monitoring

Subscribe to Posts that dickyfit is monitoring 54 post(s) found

1 3 Next →
Jan 11, 2016
Avatar mikebutash 3 post(s)

Topic: 2.99pre4 won't start, dies at "Starting scripts"

This seems to be something to due with adding a ruby-based engine. Might be good to mention needing ruby libs now.

I installed jruby and still seem to get this error. Searching for “jruby RubyKernel.java ubuntu” all over seems to be some sort of missing environment definition needed in how it’s calling ruby from the jre. I’d say this is a bug, java most definitely is not my forte.

 
Jan 10, 2016
Avatar jezmckinley 1 post

Topic: 2.99pre4 won't start, dies at "Starting scripts"

I’ve got the same issue. Thought it was originally due to using rbenv to have different versions of ruby installed. However, went to using system installed ruby 2.3.0p0 and java 1.8 on ArchLinux and same issue. Downloaded the source and can see the line in the utilities.rb that calls rubygems. Started to hunt for where/how to disable scripting.

However, it seems that I can’t find an obvious call. There is a property ‘mScripting’ in the config object but this is not mapped to any property in the config file I can tell. I also found a comment in JbidWatch.java:

“as of 3.0 and later, scripting is a core part of JBidwatcher and it will not run without it.”

So I guess that’s why there isn’t a mapping.

This was a very quick look and I’ll have to pause my effort for today.

 
Jan 10, 2016
Avatar bushytails 55 post(s)

Topic: 2.99pre4 won't start, dies at "Starting scripts"

Ok, since this one worked, that means the problem is the <script> in the ruby backtrace. That means this forum lets me include javascript without filtering it? That is SCARY. And dangerous. And makes me very happy I did not use the same login info for this forum as anywhere else.

 
Jan 10, 2016
Avatar bushytails 55 post(s)

Topic: 2.99pre4 won't start, dies at "Starting scripts"

Third time’s the charm? “Beast” is broken! The backtrace breaks the post. I can not edit the post. I can not delete the post. I can’t even reply to the post! So this one has all the backtraces cut. Please delete the other two duplicate topics.

Just downloaded 2.99pre4, won’t start. Downloaded latest jre, no change. Removed my .jbidwatcher directory, it prompted for my login and tested it, then no change.

Jan 10, 2016 2:57:48 PM com.google.inject.internal.util.$FinalizableReferenceQueue$DecoupledLoader loadFinalizer
WARNING: Could not load Finalizer in its own class loader.
… [more error cut]
… [backtrace cut]
Sun Jan 10 14:57:49 PST 2016: JBidwatcher 2.99pre4-0-g4037824
Sun Jan 10 14:57:49 PST 2016: Oracle Corporation Java, version 1.8.0_66 on Linux
… [cut to avoid breaking forum]
Sun Jan 10 14:58:37 PST 2016: Scripting is enabled.
Loading JBidwatcher Ruby Utilities
Sun Jan 10 14:58:37 PST 2016: JBidwatcher: org.jruby.exceptions.RaiseException: (LoadError) no such file to load — rubygems
org.jruby.exceptions.RaiseException: (LoadError) no such file to load — rubygems
… [backtrace cut]
^C

At this point the startup window is displaying “Starting scripts”. I let it sit there for 15 minutes with nothing happening. Ctrl-C or killing it is required.

2.5.6 is still working fine, where fine includes all the known bugs. (And one that may or may not be known… sometimes during network issues it decides that auctions must have been removed from the server, moving them to the completed list and cancelling snipes…)

The startup process for 2.99pre4, even before where it fails, is SLOW. Probably around a minute “building interface” etc. 2.5.6 does not have this issue.

Thanks,
—Bushytails

1 3 Next →